=== debian/changelog ===
ignition-rendering3 (3.6.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.6.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 19 Oct 2021 20:15:54 +0200

ignition-rendering3 (3.5.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.5.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 25 May 2021 11:55:18 -0500

ignition-rendering3 (3.4.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.4.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 10 Feb 2021 07:53:13 -0800

ignition-rendering3 (3.3.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 22 Jan 2021 10:12:26 -0800

ignition-rendering3 (3.2.0-3~buster) buster; urgency=medium

  * ignition-rendering3 3.2.0-3 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 12:46:02 -0800

ignition-rendering3 (3.2.0-2~buster) buster; urgency=medium

  * ignition-rendering3 3.2.0-2 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 08:23:40 -0800

ignition-rendering3 (3.2.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 13 Oct 2020 14:23:40 -0800

ignition-rendering3 (3.1.0-2~buster) buster; urgency=medium

  * Fix postfix to real Buster instead of Focal

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 15 May 2020 20:20:08 +0200

ignition-rendering3 (3.1.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 05 Mar 2020 17:45:43 -0800
