=== debian/changelog ===
ignition-rendering3 (3.7.2-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.2-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 05 Jan 2024 15:01:03 -0800

ignition-rendering3 (3.7.1-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 03 Feb 2023 05:26:20 -0800

ignition-rendering3 (3.7.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 29 Nov 2022 11:32:21 -0800

ignition-rendering3 (3.7.0~pre1-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.0~pre1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 29 Nov 2022 09:33:43 -0800

ignition-rendering3 (3.6.1-1~focal) focal; urgency=medium

  * ignition-rendering3 3.6.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Tue, 08 Nov 2022 13:52:23 -0800

ignition-rendering3 (3.6.0-5~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-5 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 13:51:31 -0700

ignition-rendering3 (3.6.0-4~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-4 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 19:31:38 -0700

ignition-rendering3 (3.6.0-3~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 19:09:22 -0700

ignition-rendering3 (3.6.0-2~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 18:29:06 -0700

ignition-rendering3 (3.6.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 19 Oct 2021 20:15:54 +0200

ignition-rendering3 (3.5.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.5.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 25 May 2021 11:55:18 -0500

ignition-rendering3 (3.4.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.4.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 10 Feb 2021 07:53:13 -0800

ignition-rendering3 (3.3.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 22 Jan 2021 10:12:26 -0800

ignition-rendering3 (3.2.0-3~focal) focal; urgency=medium

  * ignition-rendering3 3.2.0-3 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 12:46:02 -0800

ignition-rendering3 (3.2.0-2~focal) focal; urgency=medium

  * ignition-rendering3 3.2.0-2 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 08:23:40 -0800

ignition-rendering3 (3.2.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 13 Oct 2020 14:23:40 -0800
