=== debian/control ===
Source: ignition-rendering3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               freeglut3-dev,
               libglew-dev,
               libfreeimage-dev,
               libignition-cmake2-dev,
               libignition-common3-events-dev,
               libignition-common3-graphics-dev,
               libignition-math6-dev,
               libignition-plugin-dev,
               libogre-1.9-dev,
               libogre-2.1-dev
Vcs-Browser: https://github.com/gazebosim/gz-rendering
Vcs-Git: https://github.com/gazebosim/gz-rendering
Homepage: http://gazebosim.org/

Package: libignition-rendering3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Shared library
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Main shared library

# Only for the examples:
#
#        libfreeimage-dev,
#        freeglut3-dev,
#        libglew-dev,

Package: libignition-rendering3-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libignition-rendering3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions - Core development files
 Gazebo rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-rendering3-ogre1-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libogre-1.9-dev,
         libignition-rendering3-core-dev (= ${binary:Version}),
         libignition-rendering3-ogre1 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Ogre1 dev files
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Ogre1 component development files

Package: libignition-rendering3-ogre1
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Ogre1 lib
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Ogre1 component shared library

Package: libignition-rendering3-ogre2-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libogre-2.1-dev,
         libignition-rendering3-core-dev (= ${binary:Version}),
         libignition-rendering3-ogre2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Development files
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 Gazebo Rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Ogre2 component development files

Package: libignition-rendering3-ogre2
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Development files
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 Gazebo Rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Ogre2 component shared library

Package: libignition-rendering3-dev
Architecture: any
Section: libdevel
Depends: libignition-rendering3-core-dev (= ${binary:Version}),
         libignition-rendering3-ogre1-dev (= ${binary:Version}),
         libignition-rendering3-ogre2-dev (= ${binary:Version}),
         libignition-rendering3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Metapackage
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 Gazebo Rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage for development files

Package: libgz-rendering3
Depends: libignition-rendering3, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-core-dev
Depends: libignition-rendering3-core-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre1-dev
Depends: libignition-rendering3-ogre1-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre1
Depends: libignition-rendering3-ogre1, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre2-dev
Depends: libignition-rendering3-ogre2-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre2
Depends: libignition-rendering3-ogre2, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-dev
Depends: libignition-rendering3-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
