=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,16 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	    -DSKIP_optix=true \
 	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 override_dh_install:
 	dh_install --
 	# need to remove files present in components
 	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre.hh
+	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/gz/rendering/ogre.hh
 	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre2.hh
+	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/gz/rendering/ogre2.hh
 
 # test cannot run in parallel
 override_dh_auto_test:
